Subject: New News Entry

From: [email-masked] (World Wide Web Owner)
Date: Sun, 4 Jul 2004 09:34:48 -0300 (ADT)

A new entry has been added to the news database.

Database Admin: http://www.postgresql.org/admin/edit_news.php?208

Submitted by: [email-masked]
Headline: Slony-I (Production Grade) Replication System Released
Summary:

The Slony-I team is proudly presenting the 1.0 release of the most advanced replication solution for the most advanced Open Source Database in the world.

Story:

The Slony-I team is proudly presenting the 1.0 release of the most advanced replication solution for the most advanced Open Source Database in the world:

<a href=\"http://www.slony.org\">http://www.slony.org</a>

The multithreaded replication engine requires the libpq client library to be compiled with --enable-thread-safety on certain operating systems.&nbsp;  Known are thus far Solaris and AIX.&nbsp; Other operating systems are known to not require this (Linux-X86, FreeBSD-X86, FreeBSD-Alpha, OpenBSD-Sparc64 and OSX).&nbsp; The configuration script is broken with respect to the --enable-thread-safety switch for Solaris.&nbsp; Please apply this patch, configure and recompile libpq: <a href=\"http://developer.postgresql.org/~wieck/slony1/download/threadsafe-libpq-742.diff.gz\">threadsafe-libpq-742.diff.gz</a>. We will make patches for 7.3.x available on request.